package com.ho.business.mapper;

import com.ho.business.entity.RepairFile;
import com.ho.business.entity.StationNotepad;
import com.ho.business.entity.StationRepair;
import com.ho.business.vo.req.StationNotepadReq;
import com.ho.business.vo.req.StationRepairReqVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface StationNoteAndRepairMapper {

    void addStationNote(@Param("record") StationNotepad record);

    void deleteStationNote(@Param("id") Integer id);

    void updateStationNote(@Param("record") StationNotepad record);

    List<StationNotepad> selectStationNote(@Param("record") StationNotepadReq record);

    void addStationRepair(@Param("record") StationRepair record);

    void updateRepairFile(@Param("repairFileList") List<RepairFile> repairFileList,@Param("repairId") Integer repairId);

    void updateFileRepairNull (@Param("repairId") Integer repairId);

    void addRepairFile(@Param("record") RepairFile record);

    void deleteStationRepair(@Param("id") Integer id);

    void deleteRepairInfo(@Param("id") Integer id);

    void updateStationRepair(@Param("record") StationRepairReqVo record);

    List<StationRepair> selectStationRepair(@Param("record") StationRepairReqVo record);

    List<RepairFile> selectRepairFile(@Param("id") Integer id);

}
